import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { Tab1Page } from './tab1.page';
import { PerfilDiscotecaPage } from '../perfil-discoteca/perfil-discoteca.page'
import { PromptEventoPage } from '../prompt-evento/prompt-evento.page'
import { ViewEventoPage } from '../view-evento/view-evento.page'

const routes: Routes = [
        {
          path: '',
          redirectTo: 'perfil-discoteca',
          pathMatch: 'full',
        },

        {
          path: 'perfil-discoteca',
          component: PerfilDiscotecaPage
        },
            
        {
          path: 'prompt-evento',
          component: PromptEventoPage
        },

        {
          path: 'view-evento',
          component: ViewEventoPage
        }
        





];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class Tab1PageRoutingModule {}
